package com.ruoyi.project.patrol.dev.mapper;

import java.util.List;
import com.ruoyi.project.patrol.dev.domain.TDevCabinet;

/**
 * 应急事故柜Mapper接口
 * 
 * @author admin
 * @date 2023-11-07
 */
public interface TDevCabinetMapper 
{
    /**
     * 查询应急事故柜
     * 
     * @param id 应急事故柜主键
     * @return 应急事故柜
     */
    public TDevCabinet selectTDevCabinetById(Long id);

    /**
     * 查询应急事故柜列表
     * 
     * @param tDevCabinet 应急事故柜
     * @return 应急事故柜集合
     */
    public List<TDevCabinet> selectTDevCabinetList(TDevCabinet tDevCabinet);

    /**
     * 新增应急事故柜
     * 
     * @param tDevCabinet 应急事故柜
     * @return 结果
     */
    public int insertTDevCabinet(TDevCabinet tDevCabinet);

    /**
     * 修改应急事故柜
     * 
     * @param tDevCabinet 应急事故柜
     * @return 结果
     */
    public int updateTDevCabinet(TDevCabinet tDevCabinet);

    /**
     * 删除应急事故柜
     * 
     * @param id 应急事故柜主键
     * @return 结果
     */
    public int deleteTDevCabinetById(Long id);

    /**
     * 批量删除应急事故柜
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTDevCabinetByIds(Long[] ids);
}
